# 物品配置结构了解

### 物品配置的位置

v.3.3.0 版本以前：已在前文介绍了 `namespace` 的概念，因此找到对应 `namespace` 的物品配置不是难事，只需打开 `ItemsAdder/data/item_packs/namespace 的名称` 文件夹即可。

v.3.3.0 版本以后：打开 `ItemsAdder/contents/各个包的名称/configs` 文件夹即可。

### 物品配置的构成

此处作为参照手册使用，如果您是第一次阅读的新手，可以跳过此处，直接阅读下一节的教程。

#### categories

见 [分类](/itemsadder-doc/wu-pin/fen-lei.md) 一节。

#### info

```
info:
  namespace: weapon
```

填写这个物品配置对应的 `namespace` 名称的地方，不可缺失，不可写错。

#### items

```
items:
  copper_axe:
    display_name: 铜斧
    lore:
    - '&7通过合成获得.'
    - ''
    - '&7以合成原版该类型物品合成为模板'
    - '&7将铁锭替换为铜锭即可.'
    mmoitem:
      type: TOOL
      id: COPPER_AXE
    custom_id: 10000
    nbt: '{AureliumSkills: {Requirements: {Item: {Foraging: 10}}}}'
    durability:
      max_custom_durability: 880
    resource:
      material: STONE_AXE
      generate: true
      textures:
      - tools/copper_axe.png
```

填写物品配置的位置。

#### armors\_rendering

```
armors_rendering:
  copper_set_armor:
    color: '#d60000'
    layer_1: armors/copper_layer_1
    layer_2: armors/copper_layer_2
    use_color: false
```

填写盔甲模型的位置。

#### **recipes**

```
recipes:
  crafting_table:
    deadmau5_hat:
      permission: myitems.deadmau5_hat
      enabled: true
      pattern:
      - BXB
      - XBX
      - XXX
      ingredients:
        B: LIGHT_BLUE_WOOL
      result:
        item: myitems:deadmau5_hat
        amount: 1
```

填写配方的位置。

#### **trees\_populators**

```
trees_populators:
  my_tree:
    worlds:
    - world
    bottom_blocks:
    - DIRT
    - GRASS_BLOCK
    - PODZOL
    chance: 40.0
    max_height: 100
    min_height: 50
    amount: 3
    iterations: 2
    tree_type: TREE
    leaves: myitems:my_leaves
    log: myitems:my_log
    biomes:
    - PLAINS
    - SUNFLOWER_PLAINS
    - MOUNTAINS
```

填写树木生成器的位置。

#### **surface\_decorators**

```
surface_decorators:
  rose:
    block: rose
    bottom_blocks:
    - DIRT
    - GRASS_BLOCK
    biomes:
    - PLAINS
    - SUNFLOWER_PLAINS
    - RIVER
    - MOUNTAINS
    - MOUNTAIN_EDGE
    - BIRCH_FOREST
    - BIRCH_FOREST_HILLS
    - TALL_BIRCH_FOREST
    - TALL_BIRCH_HILLS
    worlds:
      - world
    chance: 10
    max_height: 255 
    min_height: 0
    amount: 1
```

填写地面地物生成器的位置。

#### **cave\_decorators**

```
cave_decorators:
  small_rocks:
    block: small_rocks
    bottom_blocks:
    - DIRT
    - GRASS_BLOCK
    - STONE
    - COBBLESTONE
    - MOSSY_COBBLESTONE
    biomes:
    - PLAINS
    - SUNFLOWER_PLAINS
    - RIVER
    - MOUNTAINS
    - MOUNTAIN_EDGE
    - BIRCH_FOREST
    - BIRCH_FOREST_HILLS
    - TALL_BIRCH_FOREST
    - TALL_BIRCH_HILLS
    worlds:
      - world
    chance: 100
    max_height: 255 
    min_height: 0
    amount: 4
    position: SURFACE
```

填写洞穴地物生成器的位置。

#### **loot**

```
loots:
  blocks:
    ruby_ore:
      type: itemsadder:ruby_ore
      items:
        ruby:
          item: itemsadder:ruby
          min_amount: 1
          max_amount: 2
          chance: 100
    nether_quartz_ore:
      type: NETHER_QUARTZ_ORE
      drop_only_first: true
      items:
        crystal:
          item: itemsadder:crystal
          min_amount: 1
          max_amount: 2
          chance: 10
        knowledge_fragment:
          item: itemsadder:knowledge_fragment
          min_amount: 1
          max_amount: 2
          chance: 15
```

填写掉落物配置的位置。

#### behaviours

```
behaviours:
  furniture:
    entity: armor_stand
    small: true
    solid: true
    fixed_rotation: true
    hitbox:
      length: 1
      width: 2
      height: 1
      width_offset: 0.5
    placeable_on:
      walls: false
      ceiling: false
      floor: true
  furniture_sit:
    sit_height: 0.5
```

填写行为属性的位置。

#### hud

本教程不涉及，为自定义 **HUD**。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/itemsadder-doc/ji-chu-shi-yong/wu-pin-pei-zhi-jie-gou-liao-jie.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
